import axios from "@/utils/request";

export function getInvProduct(params) {
  return axios({
    url: "/spms/inv/product/filter",
    method: "get",
    params: params
  });
}

export function getProduct(params) {
  return axios({
    url: "/spms/inv/product/filterProduct",
    method: "get",
    params: params
  });
}

export function getInvProductDetail(params) {
  return axios({
    url: "/spms/inv/product/filterDetail",
    method: "get",
    params: params
  });
}

export function deleteInvProduct(data) {
  return axios({
    url: "/spms/inv/product/delete",
    method: "post",
    data: data
  });
}

export function stockStatistics(params) {
  return axios({
    url: "/spms/inv/product/stockStatistics",
    method: "get",
    params: params
  });
}

export function getInvMAProducts(params) {
  return axios({
    url: "/spms/inv/product/getInvMAProducts",
    method: "get",
    params: params
  });
}

export function getCountInvProductProduct(params) {
  return axios({
    url: "/spms/inv/products/getCountInvProduct",
    method: "get",
    params: params
  });
}

export function filterProductNames(params) {
  return axios({
    url: "/spms/inv/product/filterProductNames",
    method: "get",
    params: params
  });
}
